#include<bits/stdc++.h>
using namespace std;
int x,y,a,b;
int main(){
  cin>>a>>b>>x>>y;
  if(y==b and x<a)cout<<"prvi"<<endl;
  else if(x==a and y<b)cout<<"drugi"<<endl;
  else if(x==a and y==b)cout<<"nijedan"<<endl;
  else cout<<"?"<<endl;
  return 0;
}